/* Problem URL: https://codeforces.com/edu/course/2/lesson/4/3/practice/contest/274545/problem/C */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    cin >> n;

    vi prev(n, -1);

    vi fds(n * 2);
    repv(i, fds) {
        cin >> i;
        i--;
    }

    vi ans(n);

    int size = n * 2;
    if (size > 1) {
        size = 1 << (32 - __builtin_clz(size));
    }

    vi seg(size * 2);

    auto update = [&](int i) {
        i += size;
        seg[i]++;

        for (i >>= 1; i > 0; i >>= 1) {
            seg[i] = seg[i * 2] + seg[i * 2 + 1];
        }
    };

    function<int(int, int, int, int, int)> query = [&](int i, int l, int r, int tl, int tr) {
        if (l > tr || r < tl) {
            return 0;
        }

        if (l >= tl && r <= tr) {
            return seg[i];
        }

        int mid = (l + r) >> 1;

        return query(i * 2, l, mid, tl, tr) + query(i * 2 + 1, mid + 1, r, tl, tr);
    };

    rep(i, n * 2) {
        if (prev[fds[i]] == -1) {
            prev[fds[i]] = i;
            continue;
        }

        ans[fds[i]] = query(1, 0, size - 1, prev[fds[i]], i);
        update(prev[fds[i]]);
    }

    cout << ans;
}
